ApiVolumes
PUT /v1/volumes/{v}/files/content
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
v*string
Query Parameters
path*string
overwrite?boolean
mode?string
Request Body
application/octet-stream
TypeScript Definitions
Use the request body type in TypeScript.
body?file
The file bytes, at most 64 MiB. Larger files use the upload protocol.
Format
binaryResponse Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/volumes/string/files/content?path=string" \ -H "Content-Type: application/octet-stream" \ -d 'string'{ "commit_id": "string", "outcome": "fast", "head_commit_id": "string", "overwritten": [ { "path": "string", "reason": "string" } ], "skipped": [ { "path": "string", "reason": "string" } ], "overwritten_count": 0, "duration_ms": 0, "path": "string", "size": 0, "version": "string"}Empty
{ "error": "string", "code": "string"}{ "error": "string", "code": "string"}